GET /api/external/hub/v1/warehouses

Returns all warehouses accessible to your account based on active 3PL customer plans. Use the id from the response as warehouse_id when creating Inventory Requests or Middle Mile Orders.

Responses

  • 200 application/json

    deduplicates warehouses shared across multiple plans

    Hide response attributes Show response attributes object
    • id integer Required

      Warehouse ID — use as warehouse_id in other API calls

    • warehouse_name string Required

      Internal warehouse name

    • go_ramp_warehouse_id string | null

      GoRamp warehouse identifier

    • customer_address object | null

      Physical address of the warehouse

  • 401 application/json

    unauthorized — missing org_id

    Hide response attribute Show response attribute object
    • error string
  • 404 application/json

    threepl customer not found

    Hide response attribute Show response attribute object
    • error string
GET /api/external/hub/v1/warehouses
curl \
 --request GET 'https://api.useshelf.com/api/external/hub/v1/warehouses'
Response examples (200)
[
  {
    "id": 42,
    "warehouse_name": "string",
    "go_ramp_warehouse_id": "string",
    "customer_address": {}
  }
]
Response examples (401)
{
  "error": "string"
}
Response examples (404)
{
  "error": "string"
}